| Version: 3.1.5

Classes | Enumerations
animdecod.h File Reference

## Classes
class | wxAnimationDecoder
| wxAnimationDecoder is used by `wxAnimation` for loading frames and other information for the animation from the animation image file. More...

## Enumerations
enum | wxAnimationDisposal { wxANIM_UNSPECIFIED = -1 , wxANIM_DONOTREMOVE = 0 , wxANIM_TOBACKGROUND = 1 , wxANIM_TOPREVIOUS = 2 }

## Enumeration Type Documentation

## ◆ wxAnimationDisposal

enum wxAnimationDisposal

Enumerator
wxANIM_UNSPECIFIED | No disposal specified. The decoder is not required to take any action.
wxANIM_DONOTREMOVE | Do not dispose. The graphic is to be left in place.
wxANIM_TOBACKGROUND | Restore to background color. The area used by the graphic must be restored to the background color.
wxANIM_TOPREVIOUS | Restore to previous. The decoder is required to restore the area overwritten by the graphic with what was there prior to rendering the graphic.